/*
 * @author Venkat Subramaniam
 * DuraSoft, Inc.
 * http://www.durasoftcorp.com/download
 */

using System;

namespace SystexDifferencesOverriding
{
	/// <summary>
	/// Summary description for Derived.
	/// </summary>
	public class Derived : Base
	{
		public override void f1()
		{
			Console.WriteLine("Derived.f1");
		}

		public void f2() 
			// Assumes you are writing new method. Gives warning!
			// This is not good. To avoid these kinds of problem,
			// Click on project properties and set "Treat Warnings
			// As Errors" under configuration properties - Build.
		{
			Console.WriteLine("Derived.f2");
		}

		public new void f3()
			// Legally you are stating your intent to hide the f3 in 
			// Base. This is a terrible thing to do.
		{
			Console.WriteLine("Derived.f3");
		}
	}
}
